[llvm-commits] [compiler-rt] r170426 - /compiler-rt/trunk/lib/tsan/lit_tests/test_output.sh
Dmitry Vyukov
dvyukov at google.com
Tue Dec 18 04:19:50 PST 2012
Author: dvyukov
Date: Tue Dec 18 06:19:50 2012
New Revision: 170426
URL: http://llvm.org/viewvc/llvm-project?rev=170426&view=rev
Log:
tsan: remove TSAN_OPTIONS from the script
The runtime skips atexit sleep if there are no threads now,
so it must be fast w/o it.
Allows to specify own TSAN_OPTIONS for the tests.
Modified:
compiler-rt/trunk/lib/tsan/lit_tests/test_output.sh
Modified: compiler-rt/trunk/lib/tsan/lit_tests/test_output.sh
URL: http://llvm.org/viewvc/llvm-project/compiler-rt/trunk/lib/tsan/lit_tests/test_output.sh?rev=170426&r1=170425&r2=170426&view=diff
==============================================================================
--- compiler-rt/trunk/lib/tsan/lit_tests/test_output.sh (original)
+++ compiler-rt/trunk/lib/tsan/lit_tests/test_output.sh Tue Dec 18 06:19:50 2012
@@ -21,7 +21,7 @@
EXE=$SRC.exe
$COMPILER $SRC $CFLAGS -c -o $OBJ
$COMPILER $OBJ $LDFLAGS -o $EXE
- RES=$(TSAN_OPTIONS="atexit_sleep_ms=0" $EXE 2>&1 || true)
+ RES=$($EXE 2>&1 || true)
if [ "$3" != "" ]; then
printf "%s\n" "$RES"
fi
More information about the llvm-commits
mailing list